Support for IBM Z (S390x)

02/23/2021 01:09 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8390

  

Description

On S390x kernel and initramdisk are at a different path and with different names: images/kernel.img and images/initrd.img. Foreman

operating system model must reflect that in order to download Anaconda installer to TFTP.

Architecture must be passed into libvirt.

Template changes must be done for PXELinux.

Related issues:

Related to Katello - Bug #32077: Provide repository architecture via medium p... Closed

Associated revisions

Revision 3a75046e - 04/22/2021 08:38 PM - Lukas Zapletal

Fixes #31946 - support for S390x

On S390 kernel and initramdisk are at a different path and with different names: images/kernel.img and images/initrd.img. Foreman operating system

model must reflect that in order to download Anaconda installer to TFTP.

Co-authored-by: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>

History

#1 - 02/23/2021 01:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8353 added

#2 - 03/12/2021 10:26 AM - Lukas Zapletal

- Subject changed from Support for S390x kernel/initramdisk kickstart path to Support for IBM Z (S390x)

- Description updated

#3 - 03/12/2021 10:28 AM - Lukas Zapletal

- Related to Bug #32077: Provide repository architecture via medium provider added

#4 - 03/12/2021 11:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8390 added

#5 - 03/12/2021 11:44 AM - Lukas Zapletal

- Pull request deleted (https://github.com/theforeman/foreman/pull/8353)

#6 - 04/22/2021 08:38 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added
#7 - 04/22/2021 09:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|3a75046ec92d37659a9b55acc320b3715545ff4b.
